Skip to content

Create a team member

POST
/team/members

Creates an active team member directly with email/password login access. New members are added with the member role.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"name": "string",
  
"email": "string",
  
"password": "string",
  
"send_welcome_email": true
}

Responses

Created

application/json
JSON
{
  
"member": {
  
  
"_id": "string",
  
  
"role": "string",
  
  
"joined_at": "string",
  
  
"user": {
  
  
  
"_id": "string",
  
  
  
"name": "string",
  
  
  
"email": "string",
  
  
  
"last_login": "string",
  
  
  
"createdAt": "string"
  
  
}
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI